<div class="flex flex-col flex-auto items-top min-w-0" style="background-color: #f8f8f8">
    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div class="flex items-center cursor-pointer" [routerLink]="['/help_outline']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 text-center font-141461">
            <div>Phone Number Verification</div>
        </div>
    </div>
    <div class="flex items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 sm:p-8 md:p-12 sm:bg-card"
        style="box-shadow: 0px 0px 6px #0000001A;">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">

            <div class="mx-5">
                <div class="mt-8 font-Semibold-20 font-333">Security Check</div>
                <div class="flex items-baseline -mt-2 font-normal py-4">
                    <div>We've sent a 6-digit-One-Time Password (OTP) to your phone number</div>
                </div>
            </div>


            <ng-otp-input class="flex justify-center font-7B7B7B otpNumber" #ngOtpInput name="otp"
                (onInputChange)="onOtpChange($event)" *ngIf="showOtpComponent" [config]="config" required>
            </ng-otp-input>

            <!-- <div *ngIf="ngOtpInput.otpForm.get('otp').errors?.required">OTP required.</div> -->

            <!-- Alert -->
            <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
                class="justify-center">
                {{alert.message}}
            </fuse-alert>


            <!-- Form footer -->
            <div class="mt-8 font-Regular-16 items-center grid">
                <span class="text-center mb-3.5">Didn't receive your code?</span>
                <a class="ml-1 text-center font-0038ff"
                [ngClass]="{'font-0038ff': resendOtp, 'font-7B7B7B': !resendOtp, 'disabled': !resendOtp}"
                style="cursor: pointer;" (click)="resendOtp ? sendNewOtp() : null">Resend code
                </a>
            </div>
            <div class="mt-8 font-Regular-16 items-center grid">
                <span class="text-center mb-3.5">Please enter One-Time-Password (OTP) within</span>
                <a class="text-center mb-3.5 font-ff0000">{{ display }} minutes</a>
            </div>
            <button class="fuse-mat-button-large w-full mt-6 button-r5-disable button-r5" mat-flat-button
                [color]="'primary'" (click)="verifyOtp()" [disabled]="disableButton">
                <span>
                    Continue
                </span>
            </button>

        </div>
    </div>
</div>